package be.cropdesign.iprscan;

/**
 * @author: Katrien Bernaerts and Domantas Motiejunas
 * @date: 21/06/2012
 * @affiliation: CropDesign N.V., a BASF Plant Science Company - Technologiepark 3, 9052 Zwijnaarde - Belgium
 */
public enum EnumFlags {
	XML("-xml"),
	RAW("-raw"),
	EXCEL("-excel");
	
	// attributes 
	private String flag;
	
	/**
	 * constructor
	 * @param flag
	 */
	EnumFlags(String flag){
		this.flag = flag;
	}

	/**
	 * @param flag the flag to set
	 */
	public void setFlag(String flag) {
		this.flag = flag;
	}

	/**
	 * @return the flag
	 */
	public String getFlag() {
		return flag;
	}
}
